%define name	cowbell
%define version 0.2.3
%define release 2mdk

Name: 	 	%{name}
Summary: 	Music collection organizer and editor
Version: 	%{version}
Release: 	%{release}

Source:		http://more-cowbell.org/releases/%{name}-%{version}.tar.bz2
URL:		http://more-cowbell.org/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick
BuildRequires:	mono-devel gtk-sharp-devel taglib-devel

%description
Do you ever pull your hair out trying to hand-edit all your tags with some
arcane editor? Tell your inner OCD to take a hike because Cowbell is coming
to town.

Cowbell is an elegant music organizer intended to make keeping your
collection tidy both fun and easy.

Infused with Amazon Web Services SOAP-fu, Cowbell can whip your music
platoon into shape without even getting your boots muddy. And, if that isn't
enough to make you want to rush to the Download link, Cowbell can also
snatch album art and rename your music files like a pro.

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Cowbell" longtitle="Music Collection Organizer" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cp resources/%name-48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 resources/%name-48.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 resources/%name-48.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%name
%{_libdir}/%name
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.2.3-2mdk
- rebuild for new gtk-sharp2

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Mon Aug 8 2005 Austin Acton <austin@mandriva.org> 0.2.2-1mdk
- 0.2.2
- source URL

* Sun Jul 24 2005 Austin Acton <austin@mandriva.org> 0.2-1mdk
- initial package
